const apiUrls = [
  'https://api.coindesk.com/v1/bpi/currentprice.json',
  'https://dog.ceo/api/breeds/image/random',
  'https://ipinfo.io/161.185.160.93/geo',
  'https://randomuser.me/api/',
];

async function checkOnlineStatus(): Promise<boolean> {
  try {
    const online = await fetch(apiUrls[Math.floor(Math.random() * apiUrls.length)]);
    return online.status >= 200 && online.status < 300;
  } catch (error) {
    return false;
  }
}

export { checkOnlineStatus };
